# ===================================
#  Form Field Definitions
# ===================================

fields:
    id:
        label: ID
        type: number
        disabled: true
        hidden: true
    name:
        label: Name
        type: text        
        span: left
    slug:
        label: Slug
        type: text        
        span: right
        preset: name
    tags_string:
        label: Tags
        type: taglist
        span: left
        separator: space
    description:
        label: Description
        type: richeditor        
        span: left
    legacy_long_description:
        label: Short description
        type: richeditor        
        span: right
    image:
        label: Upload image
        type: fileupload
        span: left
        mode: image
    theme_id:
        label: Theme
        type: recordfinder        
        span: right
        list: ~/plugins/app/themes/models/theme/columns.yaml
        modelClass: App\Themes\Models\Theme
        recordsPerPage: 10
        title: Finding lesson
        prompt: Click for finding lesson
        keyFrom: id
        nameFrom: name
        useRelation: false
    lessons_repeater:
        label: Lessons
        type: repeater
        span: left
        titleFrom: Lessons        
        prompt: Select lesson
        form:
            fields:
                id:
                    label: Lesson
                    type: recordfinder
                    list: ~/plugins/app/lessons/models/lesson/columns.yaml
                    recordsPerPage: 10
                    title: Find lesson
                    prompt: Click for finding lesson
                    keyFrom: id
                    nameFrom: name
                    useRelation: false
                    modelClass: App\Lessons\Models\Lesson
    is_published:
        label: Published
        type: switch
